<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	

//menampilkan data
$posisi  = 0;
$tgl_awal = date("Y")."-01-01"; 
$tgl_akhir = date("Y-m-d");
$hasil = mysql_query("SELECT alur_perkara_id, pihak2_text,(CASE WHEN tanggal_minutasi IS NULL THEN '<a>BELUM MINUTASI</a>' ELSE (DATE_FORMAT(tanggal_minutasi, '%d-%m-%Y')) END) AS minutasi, para_pihak, nomor_perkara, tanggal_putusan, perkara_putusan.diinput_oleh, panitera_pn.nama_gelar, GROUP_CONCAT(DISTINCT hakim_pn.nama_gelar ORDER BY perkara_hakim_pn.id ASC SEPARATOR '<br>') as nama_gelar_hakim,
CONCAT(DATEDIFF(CURDATE(),perkara.tanggal_pendaftaran),' Hari') as lama_proses
 FROM hakim_pn, panitera_pn, perkara_putusan, perkara, perkara_panitera_pn, perkara_hakim_pn
						WHERE tanggal_minutasi IS NULL AND tanggal_putusan IS NOT NULL AND perkara.alur_perkara_id !='114' AND
						perkara.perkara_id = perkara_putusan.perkara_id AND perkara_panitera_pn.perkara_id = perkara_putusan.perkara_id AND perkara_hakim_pn.perkara_id = perkara_putusan.perkara_id 
						AND perkara_hakim_pn.hakim_id = hakim_pn.id AND perkara_panitera_pn.panitera_id = panitera_pn.id AND perkara_panitera_pn.aktif='Y' AND perkara_hakim_pn.aktif='Y' GROUP BY perkara_putusan.perkara_id ORDER BY perkara_putusan.tanggal_putusan DESC, perkara_putusan.tanggal_minutasi DESC") or die("Query failed with error: ".mysql_error());
echo "<div id='export'>";
echo "<h2>Daftar Pengisian Minutasi Perkara</h2><br>";
echo "<table align=center><tr>
    <th width='2%'>No.</th>
	<th width='12%'>No. Perkara</th>
	<th width='22%'>Para Pihak/Terdakwa</th>
	<th width='20%'>Majelis Hakim</th>
	<th width='13%'>Panitera Pengganti</th>
	<th width='10%'>Tgl. Putusan</th>
	<th width='8%'>Minutasi</th>
	<th width='8%'>Lama Proses<br>Dari Pendaftaran-Putusan</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($hasil);
$tgla = tgl_indo($tgl_awal);
$tglb = tgl_indo($tgl_akhir);
//echo "<p align=left>Tanggal : <b>$tgla</b> Sampai <b>$tglb</b></p><br>";
echo "<p align=left>Total Putusan : <b>$totalperkara</b> Putusan</p><br>";
while($r=mysql_fetch_array($hasil)){
$tanggal1  = tgl_indo($r['tanggal_putusan']);
  echo "<tr>
  <td align='center'>$no</td>
  <td>$r[nomor_perkara]</td>
  <td>$r[para_pihak]</td>
  <td><b>$r[nama_gelar_hakim]</b></td>
  <td>$r[nama_gelar]</td>
  <td>$tanggal1</td>
  <td><b><d>$r[minutasi]</d></b></td>
  <td>$r[lama_proses]</td></tr>";
  $no++;
  }
echo "</table><br>";
?>